
Figure - Bug #118620
【IOVDEV-33011】【内部】【VC1】【0106】【台架】【EE环境】【副屏】【蓝牙】副屏再连接蓝牙耳机之
后，播放QQ音乐，在关闭副屏蓝牙之后，控制中心播放器音乐界面显示也会退出，而不是暂停状态
2023-06-07 17:12 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-07

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0088.c103.02_NO����【副屏版本号】：01.00.0106.c104

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-06-16

Test Type: ST Root cause: 媒体通知处理逻辑问题。

Description

【环境信息】EE环境

【问题出现时间】：20230606 17：15

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致

【操作步骤】

1.点击副屏蓝牙连接蓝牙耳机

2.点击打开QQ音乐，播放音乐

3.关闭副屏蓝牙

【实际结果】

1.副屏蓝牙关闭后，控制中心音乐播放器原先显示的音乐信息不显示

【期望结果】

1..副屏蓝牙关闭后，控制中心音乐播放器正常显示音乐信息，状态为暂停

【备注】：

第283次开机

开机时长：6：16

蓝牙设备型号：安卓蓝牙耳机手柄

日志、视频地址：https://ofs.human-horizons.com/#/download/index/bghH9kcX3Uw%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0088.c103.02_NO

【副屏版本号】：01.00.0106.c104

History

#1 - 2023-06-07 17:13 - CDTS_Test 吴诗雨

本地未复现相同情况，客户回复：没有其他条件，当时直接连接蓝牙耳机，之后关闭副屏蓝牙就消失，连试了三次都是这种情况

视频与日志：ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118620
https://ofs.human-horizons.com/#/download/index/bghH9kcX3Uw%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118620


#2 - 2023-06-07 19:06 - CD FW-廖涛

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#3 - 2023-06-08 11:47 - CD FW-廖涛

■ Current conclusion

暂无法复现现象。

■ Next action

分析问题发生时的日志。

#4 - 2023-06-16 15:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

207895 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:SystemUI: Fix media controller dismiss when bluetooth lost.TC-RID: 1201-0201903IssueID: TS-R-BUG-118620, IOVISSUE-33011Change-Id:

Ie062ae42ed74419e82f913d2118357d2db067561

#5 - 2023-06-16 16:50 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-06-16

- Root cause set to 媒体通知处理逻辑问题。

■ Current conclusion

已处理，代码已入库。

■ My analysis

复现路径（二选一）：

1. 安装酷狗音乐，然后打开酷狗音乐，不播放，再连接蓝牙耳机，进入 QQ 音乐，播放音乐，然后关闭副屏蓝牙；

1. 安装优酷，选择一个电源或电视剧，执行本地下载（选择一个需要下载久一点的，保证在断开蓝牙的时候下载还在进行），再连接蓝牙耳机，进入

QQ 音乐，播放音乐，然后关闭副屏蓝牙；

■ Next action

测试验证。

#6 - 2023-06-20 14:57 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C105.202306200207版本验证通过
#7 - 2023-06-25 19:06 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

#8 - 2023-06-25 21:33 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209538 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:SystemUI: Fix media controller dismiss when bluetooth lost.TC-RID: 1201-0201903IssueID: TS-R-BUG-118620, IOVISSUE-33011Change-Id:

Ie062ae42ed74419e82f913d2118357d2db067561(cherry picked from commit e59d0a5434dc9b8e96906fd9016f9e1605699ba9)

Files

tlog_iov0201017500006162025411a2212290000000601_000283_0606171857.tar.gz6.45 MB 2023-06-07 CDTS_Test 吴诗雨

飞书20230606-172240.mp4 10.3 MB 2023-06-07 CDTS_Test 吴诗雨
